Status: Resolved Priority: Must have
Author: Christopher Hlubek Category:
Created: 2013-06-20 Assigned To: Christopher Hlubek
Updated: 2014-07-11 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: Git 2.0
Subject: Serialization error on WebRedirect with PHP 5.3
Description

With the plain serializer from PHP 5.3 there is a reproducible unserialize error when using a "WebRedirect" entry point for
authentication.

It seems that recursive objects are not handled correctly in this PHP version (5.3.19) and the error is caused by serializing too much
information in the session (the injected uriBuilder property of WebRedirect should never be serialized).

Related issues:
related to TYPO3.Flow - Bug # 53931: ActionRequest should not serialize paren... Resolved 2013-11-25

Associated revisions
Revision ee843b5e - 2013-06-20 16:21 - Christopher Hlubek

[BUGFIX] Fix a serialization problem with intercepted request

This change fixes a recursive serialization problem where the
ActionRequest is serialized multiple times in a session entry.

Resolves: #49289
Releases: master, 2.0
Change-Id: Ib991ca10ad6a1d0a737e48d2179183e36f169930

Revision 65fa5321 - 2013-08-12 16:27 - Christopher Hlubek

[BUGFIX] Fix a serialization problem with intercepted request

This change fixes a recursive serialization problem where the
ActionRequest is serialized multiple times in a session entry.

Resolves: #49289
Releases: master, 2.0
Change-Id: Ib991ca10ad6a1d0a737e48d2179183e36f169930

History
#1 - 2013-06-20 16:21 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/21536

#2 - 2013-06-24 10:36 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ee843b5ec8eb9f3b9b01b63a1b6bb852edc0f51c.

#3 - 2013-08-12 16:27 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23070

#4 - 2013-08-14 16:01 - Karsten Dambekalns
- Assigned To set to Christopher Hlubek
- Target version set to 2.0.1

#5 - 2014-07-11 20:19 - Christopher Hlubek
- Status changed from Under Review to Resolved

Applied in changeset commit:65fa532130fcb59446f321598912a6e9eee42f4e.
